openapi: 3.0.0
info:
  title: Perform eLoad Transaction
  description: example
  license:
    name: UMobile
    url: https://umnet.my
paths:
  /api/rest:
    post:
      summary: performeLoadTransaction
      description: Executes the eLoad transaction.
      operationId: performeLoadTransaction
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                access_token:
                  type: string
                  example: ZGY4OGJlNzlhYWEyMDU3Y2MwY2NlYWI0Yzg4MmVhZTc=
                method:
                  type: string
                  example: performeLoadTransaction
                content:
                  type: object
                  properties:
                    fromMsisdn:
                      type: string
                      example: '601112345680'
                    toMsisdn:
                      type: string
                      example: '601112345678'
                    amount:
                      type: string
                      example: '11.00'
      responses:
        '200':
          description: Validation result
          content:
            application/json:
              schema:
                type: object
                properties:
                  res_code:
                    type: string
                    maxLength: 10
                    description: Response code, "00000" for success.
                    example: '00000'
                  res_message:
                    type: string
                    maxLength: 255
                    description: Response message.
                    example: Operation success
                  result:
                    type: object
                    description: Validation result detail.
                    properties:
                      resultCode:
                        type: string
                        maxLength: 60
                        description: Result status code.
                        example: DBEP0000
                      resultMsg:
                        type: string
                        maxLength: 255
                        description: Result description.
                        example: Success
components: {}
